Productsup
CDE APIApi referenceBuckets

Link Bucket with Connector

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/buckets

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/buckets" \  -H "Content-Type: application/json" \  -d '{    "bucket-id": "019e16f3-bbf0-7e70-bd9e-427a20874537",    "type": "free",    "environment": "dev"  }'
{
  "message": "Bucket has been added."
}
{
  "message": "Bad request.",
  "errors": {
    "environment": "Invalid environment. Valid choices are {`dev`, `prod`}."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Bucket not found."
}

How is this guide?